Name:           python-ueberzug
Version:        18.3.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ueberzug is a command line util which allows to display images in combination with X11

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ueber-devel/ueberzug
Source:         %{pypi_source ueberzug}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ueberzug' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ueberzug
Summary:        %{summary}

%description -n python3-ueberzug %_description


%prep
%autosetup -p1 -n ueberzug-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ueberzug -f %{pyproject_files}


%changelog
%autochangelog